### Function

# Vips check_bandno

#### Declaration [src]

    int
    vips_check_bandno (
      const char* domain,
      VipsImage* im,
      int bandno
    )

#### Description [src]

`bandno` should be a valid band number (ie. 0 to im->Bands - 1), or can be -1, meaning all bands. If not, set an error message and return non-zero.

See also

`vips_error()`.

#### Parameters

`domain`

  Type: `const char*`

  The originating domain for the error message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`im`

  Type: `VipsImage`

  Image to check.

  The data is owned by the caller of the function.

`bandno`

  Type: `int`

  Band number.

#### Return value

Type: `int`

0 if OK, -1 otherwise.